ServerMeasurement (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.servlet.mbean.ServerMeasurement class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.servlet.mbean
Class ServerMeasurement

    java.lang.Object
      org.hyperic.hq.product.servlet.mbean.ServerMeasurement

All Implemented Interfaces:
  org.hyperic.hq.product.servlet.mbean.ServerMeasurementMBean

    public final class ServerMeasurement

extends java.lang.Object
implements org.hyperic.hq.product.servlet.mbean.ServerMeasurementMBean

MBean that provides context measurements

Constructor Summary
`ServerMeasurement()`

Method Summary
`int` | `getAvailable()`
`java.lang.String` | `getServerInfo()`
`long` | `getUptime()`
`void` | `setServerInfo(java.lang.String serverInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerMeasurement

    public ServerMeasurement()

Method Detail

### getUptime

    public long getUptime()

  Specified by:
    `getUptime` in interface `org.hyperic.hq.product.servlet.mbean.ServerMeasurementMBean`

### getServerInfo

    public java.lang.String getServerInfo()

  Specified by:
    `getServerInfo` in interface `org.hyperic.hq.product.servlet.mbean.ServerMeasurementMBean`

### setServerInfo

    public void setServerInfo(java.lang.String serverInfo)

### getAvailable

    public int getAvailable()

  Specified by:
    `getAvailable` in interface `org.hyperic.hq.product.servlet.mbean.ServerMeasurementMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.